Subject: Re: [RFC PATCH 0/4] cache parent project's gitdir in submodules

From: Junio C Hamano <[email-masked]>
Date: Mon, 14 Jun 2021 16:26:17 +0900

Emily Shaffer <[email-masked]> writes:

> It's necessary for a superproject to know which submodules it contains.
> However, historically submodules do not know they are anything but a
> normal single-repo Git project (or a superproject, in nested-submodules
> cases). This decision does help prevent us from having to support
> divergent behaviors in submodule projects vs. superprojects, which makes
> sure Git is (somewhat) less confusing for the reader, and helps simplify
> our code.

https://github.com/git/git/actions/runs/934803365 is the CI run of
'seen' that passes.  With this and another topic merged to 'seen',
as can be seen in https://github.com/git/git/actions/runs/934680687,
a handful of tests fail.

Thanks.